# eth\_getTransactionByHash

### Get Transaction By Hash RPC Method <a href="#send-transaction-rpc-method" id="send-transaction-rpc-method"></a>

<mark style="color:green;">`POST`</mark> <https://eth-rpc.kolibr.io/>\
Returns information about a transaction using a transaction hash. If the transaction was sent to one of Kolibrios' endpoints and is in a pending state, the transaction data will also be returned.<br>

**Request  Body Parameters**

| Name              | Value                     |
| ----------------- | ------------------------- |
| hash `(required)` | The hash of a transaction |

**Request Example**

{% tabs %}
{% tab title="curl" %}

```json
curl -X POST "https://eth-rpc.kolibr.io/" \
-H "Content-Type: application/json" \
-d '{
    "method": "eth_getTransactionByHash",
    "params": [
        "TX_HASH"
    ],
    "id": 1,
    "jsonrpc": "2.0"
}'

```

{% endtab %}
{% endtabs %}

**Response Example**

{% tabs %}
{% tab title="200" %}

```json
{
    "jsonrpc": "2.0",
    "id": 1,
    "result": {
        "blockHash": "0x0",
        "blockNumber": "0x0",
        "chainId": "0x1",
        "from": "0x...",
        "gas": "0x...",
        "gasPrice": "0x0",
        "hash": "0x...",
        "input": "0x1234",
        "nonce": "0x2c3",
        "r": "0x0",
        "s": "0x0",
        "to": "0x...",
        "transactionIndex": "0x0",
        "type": "0x0",
        "v": "0x0",
        "value": "0"
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kolibrio.xyz/kolibrio-orderflow-service/ethereum/api-quick-start/eth_gettransactionbyhash.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
